<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net48</TargetFramework>
    <RootNamespace>aaLogReader</RootNamespace>
    <AssemblyName>aaLogReader</AssemblyName>
    <LangVersion>latest</LangVersion>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <EnableDefaultCompileItems>false</EnableDefaultCompileItems>
    <Deterministic>false</Deterministic>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="log4net" Version="2.0.15" />
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies" Version="1.0.3" PrivateAssets="all" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\aaLog\aaLogReader\aaLgxReader.cs" />
    <Compile Include="..\aaLog\aaLogReader\aaLogReader.cs" />
    <Compile Include="..\aaLog\aaLogReader\Enum\*.cs" />
    <Compile Include="..\aaLog\aaLogReader\Helpers\*.cs" />
    <Compile Include="..\aaLog\aaLogReader\Properties\AssemblyInfo.cs" />
    <Compile Include="..\aaLog\aaLogReader\Struct\*.cs" />
    <Compile Include="..\aaLog\aaLogReader\Types\ILogHeader.cs" />
    <Compile Include="..\aaLog\aaLogReader\Types\ILogRecord.cs" />
    <Compile Include="..\aaLog\aaLogReader\Types\aaLogReaderException.cs" />
    <Compile Include="patched\LogRecord.cs" />
    <Compile Include="patched\LogHeader.cs" />
  </ItemGroup>

</Project>
